By: Angela Yuan user 11 Feb 2020 at 1:20 p.m. CST

5 Responses
Angela Yuan gravatar
Installing Gluu Gateway and seems like Node.js 8.x LTS is being deprecated. Is there a new version we should install?

By Michael Schwartz staff 11 Feb 2020 at 2:27 p.m. CST

Michael Schwartz gravatar
Yes, Gluu Gateway 4.1 is about to come out.

By Meghna Joshi staff 12 Feb 2020 at 1:46 a.m. CST

Meghna Joshi gravatar
Hi Angela, We are using **Node JS 10.x** in **GG 4.1**. Currently **GG 4.1** in our dev repo. you can find the installation instruction from dev repo here. https://github.com/GluuFederation/gluu-gateway/wiki/Installation-development-build Also before **GG 4.1** installation, you need to uninstall your nodejs 8. Best regards, Meghna Joshi

By Angela Yuan user 12 Feb 2020 at 11:19 a.m. CST

Angela Yuan gravatar
Should I also upgrade Gluu Server from 4.0 to 4.1 as well? Could you please share the Gluu Server repo if that is the case? Also should I uninstall 4.0 by following https://gluu.org/docs/ce/latest/installation-guide/install-ubuntu/#uninstallation or the uninstall will be taken care by installing 4.1 automatically?

By Meghna Joshi staff 13 Feb 2020 at 1:41 a.m. CST

Meghna Joshi gravatar
Hi Angela, GG 4.1 works good with both Gluu CE 4.0 and 4.1.

By Angela Yuan user 13 Feb 2020 at 11:56 a.m. CST

Angela Yuan gravatar
I have upgraded NodeJS to 10. Just need to upgrade Gluu server to 4.1 once it's available. Closing the ticket for now as the main purpose has already been satisfied.